import 'package:eyflutter_uikit_example/convex_bottom_bar_page.dart';
import 'package:flutter/material.dart';

class FragmentPage extends StatefulWidget {
  final int index;

  final FragmentPageController controller;

  const FragmentPage({Key? key, required this.index, required this.controller}) : super(key: key);

  @override
  _FragmentPageState createState() => _FragmentPageState();
}

class _FragmentPageState extends State<FragmentPage> {
  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      child: TextButton(
          onPressed: () {
            widget.controller.onContentClick();
          },
          child: Text("${widget.index}")),
    );
  }
}
