import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class FlowPage extends StatefulWidget {
  const FlowPage({Key? key}) : super(key: key);

  @override
  _FlowPageState createState() => _FlowPageState();
}

class _FlowPageState extends State<FlowPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        padding: const EdgeInsets.only(top: 100),
        child: FlowWidget(
            spacing: 8,
            runSpacing: 8,
            borderRadius: const BorderRadius.all(Radius.circular(30)),
            alignment: Alignment.centerLeft,
            padding: const EdgeInsets.only(top: 10, right: 10),
            allowReverseChoice: false,
            disableCheckStyle: false,
            itemHeight: 30,
            isSingleCheck: true,
            color: Colors.transparent,
            itemBorderColor: Colors.transparent,
            itemSelectBorderColor: Colors.transparent,
            itemBackgroundColor: const Color(0x0d5C6048),
            itemSelectBackgroundColor: const Color(0xff5C6048),
            textColor: const Color(0xff3B372C),
            selectTextColor: const Color(0xffF2EDE3),
            textSize: 14,
            items: [
              FlowItem(text: "111"),
              FlowItem(text: "2222"),
              FlowItem(text: "33"),
              FlowItem(text: "4444444444"),
              FlowItem(text: "111"),
              FlowItem(text: "2222"),
            ]),
      ),
    );
  }
}
