import 'package:eyflutter_uikit/eyflutter_uikit.dart';
import 'package:flutter/material.dart';

class ImagePage extends StatefulWidget {
  const ImagePage({Key? key}) : super(key: key);

  @override
  _ImagePageState createState() => _ImagePageState();
}

class _ImagePageState extends State<ImagePage> {
  String url =
      "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIJ6bZhI9t4fC31bW9ajtuzs0pC1uo0OLTlBHgaG1AVwPxnnCGvgD3f5FwvZD9xBic2kERPA1Q8HtA/132";

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      child: ImageWidget(
        width: 56,
        height: 56,
        urlOrAlias: url,
        borderRadius: const BorderRadius.all(Radius.circular(28)),
        fit: BoxFit.contain,
      ),
    );
  }
}
