import Flutter
import UIKit
import eyflutter_core

public class SwiftEyflutterUikitPlugin: NSObject, FlutterPlugin {
    public static func register(with registrar: FlutterPluginRegistrar) {
        FNUrlRoute.register(key: "hbQFcnLtYVZ9YrNHRqc4B2HRVY9yQ4Bz", module:SelectedImagesReceive.self);
        //二维码解析
        FNUrlRoute.register(key: "recognitionQrcode", module:RecognitionQrcodeReceive.self);
        //toast
        FNUrlRoute.register(key: "aa94dd6839b29726", module: NativeToastReceive.self);
    }

    public class NativeToastReceive: FNUrlRouteDelegate {
        public required init(params: Dictionary<String, AnyObject>?) {
            let msg = params!["msg"] as! String;
            EyflutterUikitPlugin.showToast(msg);
            let callKey = params!["flutter_result_call_key"] as! String;
            ChannelPlugin.resultCall(resultKey: callKey, callbackData:"");
        }
    }
    
    public class RecognitionQrcodeReceive: FNUrlRouteDelegate {
        public required init(params: Dictionary<String, AnyObject>?) {
            let callKey = params!["flutter_result_call_key"] as! String;
            let scanResult = EyflutterUikitPlugin.recognitionQrcode(params)
            ChannelPlugin.resultCall(resultKey: callKey, callbackData: scanResult ?? "");
        }
    }
    
    public class SelectedImagesReceive:FNUrlRouteDelegate{
            public required init(params: Dictionary<String, AnyObject>?) {
                let mode = params?["mode"];
                if (mode?.range(of: "talking").location != NSNotFound) {//唤起相机
                    eyinfoPickers.showCameraWithparame(params) { callkey, result in
                        ChannelPlugin.resultCall(resultKey: callkey!, callbackData: result as Any);
                    }
                }else{
                    eyinfoPickers.showImagePickerWithparame(params) { callkey, result in
                        ChannelPlugin.resultCall(resultKey: callkey!, callbackData: result as Any);
                    }
                }
                
            }
        }
}
