import 'package:eyflutter_core/eyflutter_core.dart';

class RecognitionQrcodeUtils {
  factory RecognitionQrcodeUtils() => _getInstance();

  static RecognitionQrcodeUtils get instance => _getInstance();
  static RecognitionQrcodeUtils? _instance;

  static RecognitionQrcodeUtils _getInstance() {
    return _instance ??= RecognitionQrcodeUtils._internal();
  }

  RecognitionQrcodeUtils._internal();

  /// 解析图片中的二维码
  /// [imagePath] 图片路径
  Future<String?> recognition(String imagePath) {
    return CloudChannelManager.instance.send<String>("recognitionQrcode", arguments: {"imagePath": imagePath});
  }
}
